classification
Title: add Solaris errnos
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.2
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: akuchling, cdolan, loewis, mahrens, pitrou
Priority: normal Keywords: easy, patch

Created on 2009-04-11 17:05 by mahrens, last changed 2010-08-18 21:06 by pitrou. This issue is now closed.

Files
File name Uploaded Description Edit
issue5737.diff cdolan, 2009-08-01 00:47 Solaris errno patch
Messages (5)
msg85868 - (view) Author: Matthew Ahrens (mahrens) Date: 2009-04-11 17:05
The "errno" module does not contain some error names/numbers that are
used on Solaris.  Please add them.

from /usr/include/sys/errno.h:

#define ECANCELED 47    /* Operation canceled                   */
#define ENOTSUP 48      /* Operation not supported              */

/* Interprocess Robust Locks */
#define EOWNERDEAD      58      /* process died with the lock */
#define ENOTRECOVERABLE 59      /* lock is not recoverable */
#define ELOCKUNMAPPED   72      /* locked lock was unmapped */
#define ENOTACTIVE 73   /* Facility is not active               */
msg91156 - (view) Author: Christopher Dolan (cdolan) Date: 2009-08-01 00:47
This is a patch against the latest subversion revision that adds the
addition errno names, numbers, and messages available in Solaris.
msg91305 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2009-08-05 10:27
Martin, what do you think?
msg114148 - (view) Author: A.M. Kuchling (akuchling) * (Python committer) Date: 2010-08-17 19:16
This patch looks unproblematic to me, unless we're trying to keep platform-specific error codes out of errnomodule.c.

I removed Python 2.7 and 3.1 from Versions, guessing that this change would be unacceptable in a bugfix release.
msg114277 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2010-08-18 21:06
I don't have a Solaris machine to test, but the patch is straightforward enough. I've committed it in r84179. Thank you!
History
Date User Action Args
2010-08-18 21:06:05pitrousetstatus: open -> closed
resolution: fixed
messages: + msg114277

stage: patch review -> resolved
2010-08-17 19:16:15akuchlingsetversions: + Python 3.2, - Python 3.1, Python 2.7
nosy: + akuchling

messages: + msg114148

stage: needs patch -> patch review
2009-08-05 10:27:03pitrousetnosy: + loewis, pitrou
messages: + msg91305
2009-08-01 00:47:41cdolansetfiles: + issue5737.diff

nosy: + cdolan
messages: + msg91156

keywords: + patch
2009-04-15 10:12:06pitrousetpriority: normal
keywords: + easy
stage: needs patch
versions: + Python 3.1, Python 2.7, - Python 2.4, Python 3.0
2009-04-11 17:05:48mahrenscreate